Contract Create Api
curl --request POST \
--url https://api.justpaid.io/api/v1/contract/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD",
"payment_terms": "net 30",
"is_evergreen": false
}
'import requests
url = "https://api.justpaid.io/api/v1/contract/"
payload = {
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD",
"payment_terms": "net 30",
"is_evergreen": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_uuid: '123e4567-e89b-12d3-a456-426614174000',
title: 'Enterprise Agreement 2024',
contract_start_date: '2024-01-01',
contract_end_date: '2025-01-01',
contract_amount: 120000,
currency: 'USD',
payment_terms: 'net 30',
is_evergreen: false
})
};
fetch('https://api.justpaid.io/api/v1/contract/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/contract/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_uuid' => '123e4567-e89b-12d3-a456-426614174000',
'title' => 'Enterprise Agreement 2024',
'contract_start_date' => '2024-01-01',
'contract_end_date' => '2025-01-01',
'contract_amount' => 120000,
'currency' => 'USD',
'payment_terms' => 'net 30',
'is_evergreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/contract/"
payload := strings.NewReader("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.justpaid.io/api/v1/contract/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/contract/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}"
response = http.request(request)
puts response.read_body{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_status": "AC",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD"
}{
"detail": "Customer not found"
}Contract
Contract Create Api
Creates a new contract manually.
POST
/
api
/
v1
/
contract
/
Contract Create Api
curl --request POST \
--url https://api.justpaid.io/api/v1/contract/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD",
"payment_terms": "net 30",
"is_evergreen": false
}
'import requests
url = "https://api.justpaid.io/api/v1/contract/"
payload = {
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD",
"payment_terms": "net 30",
"is_evergreen": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_uuid: '123e4567-e89b-12d3-a456-426614174000',
title: 'Enterprise Agreement 2024',
contract_start_date: '2024-01-01',
contract_end_date: '2025-01-01',
contract_amount: 120000,
currency: 'USD',
payment_terms: 'net 30',
is_evergreen: false
})
};
fetch('https://api.justpaid.io/api/v1/contract/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/contract/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_uuid' => '123e4567-e89b-12d3-a456-426614174000',
'title' => 'Enterprise Agreement 2024',
'contract_start_date' => '2024-01-01',
'contract_end_date' => '2025-01-01',
'contract_amount' => 120000,
'currency' => 'USD',
'payment_terms' => 'net 30',
'is_evergreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/contract/"
payload := strings.NewReader("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.justpaid.io/api/v1/contract/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/contract/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Enterprise Agreement 2024\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 120000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 30\",\n \"is_evergreen\": false\n}"
response = http.request(request)
puts response.read_body{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Enterprise Agreement 2024",
"contract_status": "AC",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 120000,
"currency": "USD"
}{
"detail": "Customer not found"
}Authorizations
Body
application/json
Input schema for creating a contract manually.
Response
Contract created successfully
Detailed contract information with plan items.
Was this page helpful?
